﻿Imports ZXing
Public Class utilities


    Public Function create_barcode(ByVal text As String,
                                     ByVal width As String,
                                     ByVal height As String,
                                     ByVal p_type As String,
                                     ByVal file As String,
                                     Optional ByVal showtext As Boolean = True) As String

        Dim r As String = ""

        Try

            ' instantiate a writer object
            Dim bc As BarcodeWriter = New BarcodeWriter()

            ' String to barcode enumeration 
            bc.Format = CType([Enum].Parse(GetType(BarcodeFormat), p_type), BarcodeFormat)


            Dim options = New Common.EncodingOptions
            options.Width = width
            options.Height = height
            options.PureBarcode = Not showtext

            bc.Options = options

            ' write text And generate a 2-D barcode as a bitmap
            bc.Write(text).Save(file)


        Catch ex As Exception

            r = ex.Message

        End Try

        Return r


    End Function

End Class
